pkgsrc-WIP-changes archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
www/privoxy: Update to 4.2.0
Module Name: pkgsrc-wip
Committed By: Stepan Ipatov <st.ipatov%gmail.com@localhost>
Pushed By: st.ipatov
Date: Wed Aug 12 04:39:08 2026 +0200
Changeset: 076f43a295b53c2096c9197df4fe8750a924ee64
Added Files:
privoxy/COMMIT_MSG
privoxy/DESCR
privoxy/Makefile
privoxy/PLIST
privoxy/distinfo
privoxy/files/privoxy.sh
privoxy/options.mk
privoxy/patches/patch-GNUmakefile.in
privoxy/patches/patch-config
privoxy/patches/patch-configure.in
privoxy/patches/patch-man_privoxy.8
privoxy/patches/patch-man_uagen.1
Log Message:
www/privoxy: Update to 4.2.0
To see a diff of this commit:
https://wip.pkgsrc.org/cgi-bin/gitweb.cgi?p=pkgsrc-wip.git;a=commitdiff;h=076f43a295b53c2096c9197df4fe8750a924ee64
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
diffstat:
privoxy/COMMIT_MSG | 1 +
privoxy/DESCR | 6 ++
privoxy/Makefile | 74 +++++++++++++++++++++
privoxy/PLIST | 103 ++++++++++++++++++++++++++++++
privoxy/distinfo | 10 +++
privoxy/files/privoxy.sh | 26 ++++++++
privoxy/options.mk | 28 ++++++++
privoxy/patches/patch-GNUmakefile.in | 120 +++++++++++++++++++++++++++++++++++
privoxy/patches/patch-config | 75 ++++++++++++++++++++++
privoxy/patches/patch-configure.in | 71 +++++++++++++++++++++
privoxy/patches/patch-man_privoxy.8 | 42 ++++++++++++
privoxy/patches/patch-man_uagen.1 | 24 +++++++
12 files changed, 580 insertions(+)
diffs:
diff --git a/privoxy/COMMIT_MSG b/privoxy/COMMIT_MSG
new file mode 100644
index 0000000000..ac4c6e559e
--- /dev/null
+++ b/privoxy/COMMIT_MSG
@@ -0,0 +1 @@
+www/privoxy: Update to 4.2.0
diff --git a/privoxy/DESCR b/privoxy/DESCR
new file mode 100644
index 0000000000..08c14f7668
--- /dev/null
+++ b/privoxy/DESCR
@@ -0,0 +1,6 @@
+Privoxy is a web proxy with advanced filtering capabilities for protecting
+privacy, filtering web page content, managing cookies, controlling access,
+and removing ads, banners, pop-ups and other obnoxious Internet junk.
+Privoxy has a very flexible configuration and can be customized to suit
+individual needs and tastes. Privoxy has application for both stand-alone
+systems and multi-user networks.
diff --git a/privoxy/Makefile b/privoxy/Makefile
new file mode 100644
index 0000000000..70860feec7
--- /dev/null
+++ b/privoxy/Makefile
@@ -0,0 +1,74 @@
+# $NetBSD$
+
+DISTNAME= ${PKGNAME_NOREV}-stable-src
+PKGNAME= privoxy-4.2.0
+CATEGORIES= www
+MASTER_SITES= https://www.privoxy.org/sf-download-mirror/Sources/${PKGVERSION_NOREV}%20(stable)/
+
+MAINTAINER= pkgsrc-users%NetBSD.org@localhost
+HOMEPAGE= https://www.privoxy.org/
+COMMENT= Web proxy with advanced filtering capabilities
+LICENSE= gnu-gpl-v2
+
+WRKSRC= ${WRKDIR}/privoxy-4.2.0-stable
+
+.include "options.mk"
+.include "../../mk/bsd.prefs.mk"
+
+PKG_SYSCONFSUBDIR= privoxy
+PRIVOXY_EGDIR= ${PREFIX}/share/examples/${PKGBASE}
+PRIVOXY_DOCDIR= ${PREFIX}/share/doc/${PKGBASE}
+PRIVOXY_LOGDIR= ${VARBASE}/log/privoxy
+
+USE_TOOLS+= gmake mktemp autoconf autoheader perl
+
+SUBST_CLASSES+= paths
+SUBST_FILES.paths= config man/privoxy.8 man/uagen.1
+SUBST_VARS.paths= PREFIX VARBASE PKG_SYSCONFDIR PRIVOXY_LOGDIR PRIVOXY_DOCDIR
+SUBST_STAGE.paths= pre-configure
+
+REPLACE_PERL+= tools/privoxy-log-parser.pl \
+ tools/privoxy-regression-test.pl \
+ tools/url-pattern-translator.pl \
+ tools/uagen.pl
+
+GNU_CONFIGURE= YES
+CONFIGURE_ARGS+= --localstatedir=${VARBASE}
+CONFIGURE_ARGS+= --sysconfdir=${PRIVOXY_EGDIR}
+CONFIGURE_ARGS+= --with-user=${PRIVOXY_USER:Q}
+CONFIGURE_ARGS+= --with-group=${PRIVOXY_GROUP:Q}
+
+MAKE_FILE= GNUmakefile
+
+BUILD_DEFS+= VARBASE
+PRIVOXY_USER= privoxy
+PRIVOXY_GROUP= privoxy
+PRIVOXY_HOME= ${VARBASE}/lib/privoxy
+PKG_USERS_VARS+= PRIVOXY_USER
+PKG_GROUPS_VARS+= PRIVOXY_GROUP
+PKG_GROUPS= ${PRIVOXY_GROUP}
+PKG_USERS= ${PRIVOXY_USER}:${PRIVOXY_GROUP}
+PKG_GECOS.${PRIVOXY_USER}= Privoxy user
+PKG_HOME.${PRIVOXY_USER}= ${PRIVOXY_HOME}
+
+OWN_DIRS_PERMS+= ${PRIVOXY_HOME} ${PRIVOXY_USER} ${PRIVOXY_GROUP} 0770
+
+FILES_SUBST+= PRIVOXY_USER=${PRIVOXY_USER:Q}
+.if ${INIT_SYSTEM} == "rc.d"
+RCD_SCRIPTS+= privoxy
+.endif
+
+USER_GROUP= ${PRIVOXY_USER} ${PRIVOXY_GROUP}
+.for i in \
+ config trust default.action user.action user.filter default.filter match-all.action
+CONF_FILES_PERMS+= ${PRIVOXY_EGDIR}/${i} ${PKG_SYSCONFDIR}/${i} ${USER_GROUP} 0640
+.endfor
+
+OWN_DIRS_PERMS+= ${PRIVOXY_LOGDIR} ${USER_GROUP} 0755
+
+pre-configure:
+ cd ${WRKSRC} && autoheader && autoconf
+
+.include "../../devel/pcre2/buildlink3.mk"
+.include "../../mk/pthread.buildlink3.mk"
+.include "../../mk/bsd.pkg.mk"
diff --git a/privoxy/PLIST b/privoxy/PLIST
new file mode 100644
index 0000000000..c5f9d68e82
--- /dev/null
+++ b/privoxy/PLIST
@@ -0,0 +1,103 @@
+@comment $NetBSD$
+bin/privoxy-log-parser
+bin/privoxy-regression-test
+bin/uagen
+man/man1/privoxy-log-parser.1
+man/man1/privoxy-regression-test.1
+man/man1/uagen.1
+man/man8/privoxy.8
+sbin/privoxy
+share/doc/privoxy/AUTHORS
+share/doc/privoxy/ChangeLog
+share/doc/privoxy/LICENSE
+share/doc/privoxy/LICENSE.GPLv3
+share/doc/privoxy/README
+share/doc/privoxy/developer-manual/coding.html
+share/doc/privoxy/developer-manual/documentation.html
+share/doc/privoxy/developer-manual/git.html
+share/doc/privoxy/developer-manual/index.html
+share/doc/privoxy/developer-manual/introduction.html
+share/doc/privoxy/developer-manual/newrelease.html
+share/doc/privoxy/developer-manual/testing.html
+share/doc/privoxy/developer-manual/webserver-update.html
+share/doc/privoxy/faq/configuration.html
+share/doc/privoxy/faq/contact.html
+share/doc/privoxy/faq/copyright.html
+share/doc/privoxy/faq/general.html
+share/doc/privoxy/faq/index.html
+share/doc/privoxy/faq/installation.html
+share/doc/privoxy/faq/misc.html
+share/doc/privoxy/faq/trouble.html
+share/doc/privoxy/index.html
+share/doc/privoxy/man-page/privoxy-log-parser.1.html
+share/doc/privoxy/man-page/privoxy-man-page.html
+share/doc/privoxy/man-page/privoxy-regression-test.1.html
+share/doc/privoxy/man-page/uagen.1.html
+share/doc/privoxy/p_doc.css
+share/doc/privoxy/user-manual/actions-file.html
+share/doc/privoxy/user-manual/appendix.html
+share/doc/privoxy/user-manual/config.html
+share/doc/privoxy/user-manual/configuration.html
+share/doc/privoxy/user-manual/contact.html
+share/doc/privoxy/user-manual/copyright.html
+share/doc/privoxy/user-manual/files-in-use.jpg
+share/doc/privoxy/user-manual/filter-file.html
+share/doc/privoxy/user-manual/howto.html
+share/doc/privoxy/user-manual/index.html
+share/doc/privoxy/user-manual/installation.html
+share/doc/privoxy/user-manual/introduction.html
+share/doc/privoxy/user-manual/p_doc.css
+share/doc/privoxy/user-manual/proxy2.jpg
+share/doc/privoxy/user-manual/proxy_setup.jpg
+share/doc/privoxy/user-manual/quickstart.html
+share/doc/privoxy/user-manual/seealso.html
+share/doc/privoxy/user-manual/startup.html
+share/doc/privoxy/user-manual/templates.html
+share/doc/privoxy/user-manual/whatsnew.html
+share/examples/privoxy/config
+share/examples/privoxy/default.action
+share/examples/privoxy/default.filter
+share/examples/privoxy/match-all.action
+share/examples/privoxy/regression-tests.action
+share/examples/privoxy/templates/blocked
+share/examples/privoxy/templates/cgi-error-404
+share/examples/privoxy/templates/cgi-error-bad-param
+share/examples/privoxy/templates/cgi-error-disabled
+share/examples/privoxy/templates/cgi-error-file
+share/examples/privoxy/templates/cgi-error-file-read-only
+share/examples/privoxy/templates/cgi-error-modified
+share/examples/privoxy/templates/cgi-error-parse
+share/examples/privoxy/templates/cgi-style.css
+share/examples/privoxy/templates/client-tags
+share/examples/privoxy/templates/connect-failed
+share/examples/privoxy/templates/connection-timeout
+share/examples/privoxy/templates/default
+share/examples/privoxy/templates/edit-actions-add-url-form
+share/examples/privoxy/templates/edit-actions-for-url
+share/examples/privoxy/templates/edit-actions-for-url-filter
+share/examples/privoxy/templates/edit-actions-for-url-string-action
+share/examples/privoxy/templates/edit-actions-list
+share/examples/privoxy/templates/edit-actions-list-button
+share/examples/privoxy/templates/edit-actions-list-section
+share/examples/privoxy/templates/edit-actions-list-url
+share/examples/privoxy/templates/edit-actions-remove-url-form
+share/examples/privoxy/templates/edit-actions-url-form
+share/examples/privoxy/templates/forwarding-failed
+share/examples/privoxy/templates/mod-local-help
+share/examples/privoxy/templates/mod-support-and-service
+share/examples/privoxy/templates/mod-title
+share/examples/privoxy/templates/mod-unstable-warning
+share/examples/privoxy/templates/no-server-data
+share/examples/privoxy/templates/no-such-domain
+share/examples/privoxy/templates/show-request
+share/examples/privoxy/templates/show-status
+share/examples/privoxy/templates/show-status-file
+share/examples/privoxy/templates/show-url-info
+share/examples/privoxy/templates/toggle
+share/examples/privoxy/templates/toggle-mini
+share/examples/privoxy/templates/untrusted
+share/examples/privoxy/templates/url-info-osd.xml
+share/examples/privoxy/templates/wpad.dat
+share/examples/privoxy/trust
+share/examples/privoxy/user.action
+share/examples/privoxy/user.filter
diff --git a/privoxy/distinfo b/privoxy/distinfo
new file mode 100644
index 0000000000..15fc47adb7
--- /dev/null
+++ b/privoxy/distinfo
@@ -0,0 +1,10 @@
+$NetBSD$
+
+BLAKE2s (privoxy-4.2.0-stable-src.tar.gz) = 80f41f73a6b47eef30bfe5c7fe3332e37c0bcfe212e13b190477e04b90731e9d
+SHA512 (privoxy-4.2.0-stable-src.tar.gz) = e727a16ead5759e3e976d42558ad0c0af137a7f74d8ccc83ed53a34320654362489a77d3bd54c9b4d5b84c5b4ecf8e375d2c1d0e3108eb26acce3014dfbefdb0
+Size (privoxy-4.2.0-stable-src.tar.gz) = 1791064 bytes
+SHA1 (patch-GNUmakefile.in) = 5e4b2a2048706a6d02e61d2da32cfa3274d0f4c3
+SHA1 (patch-config) = a111b0d25be9166d64632e8c3b4b5ef61a6f0cb1
+SHA1 (patch-configure.in) = 8e245310c3d13467b7e2958c63ff89424ea1161d
+SHA1 (patch-man_privoxy.8) = 3ec0da5655f9ae94b648b9d04511f4e18079fa89
+SHA1 (patch-man_uagen.1) = da9026d395b659bc0634520c0d0bf9365314a8ed
diff --git a/privoxy/files/privoxy.sh b/privoxy/files/privoxy.sh
new file mode 100755
index 0000000000..2e08a31492
--- /dev/null
+++ b/privoxy/files/privoxy.sh
@@ -0,0 +1,26 @@
+#!@RCD_SCRIPTS_SHELL@
+#
+# $NetBSD: privoxy.sh,v 1.7 2025/05/29 13:24:48 khorben Exp $
+#
+# Startup script for privoxy
+#
+# PROVIDE: privoxy
+# REQUIRE: DAEMON
+#
+# You will need to set some variables in @SYSCONFBASE@/rc.conf to start privoxy:
+#
+# privoxy=YES
+
+$_rc_subr_loaded . @SYSCONFBASE@/rc.subr
+
+name="privoxy"
+rcvar=$name
+command="@PREFIX@/sbin/${name}"
+pidfile="@VARBASE@/run/${name}.pid"
+pconfig="@PKG_SYSCONFDIR@/config"
+puser="@PRIVOXY_USER@"
+required_files="$pconfig"
+command_args="--pidfile ${pidfile} --user ${puser} ${pconfig} 2>/dev/null"
+
+load_rc_config $name
+run_rc_command "$1"
diff --git a/privoxy/options.mk b/privoxy/options.mk
new file mode 100644
index 0000000000..f6ae69773c
--- /dev/null
+++ b/privoxy/options.mk
@@ -0,0 +1,28 @@
+# $NetBSD: options.mk,v 1.1 2018/03/21 23:18:09 gdt Exp $
+#
+
+PKG_OPTIONS_VAR= PKG_OPTIONS.privoxy
+PKG_SUPPORTED_OPTIONS+= inet6 zlib zstd
+PKG_SUGGESTED_OPTIONS+= inet6 zlib zstd
+
+.include "../../mk/bsd.options.mk"
+
+.if !empty(PKG_OPTIONS:Minet6)
+CONFIGURE_ARGS+= --enable-ipv6-support
+.else
+CONFIGURE_ARGS+= --disable-ipv6-support
+.endif
+
+.if !empty(PKG_OPTIONS:Mzlib)
+CONFIGURE_ARGS+= --enable-zlib --enable-compression
+.include "../../devel/zlib/buildlink3.mk"
+.else
+CONFIGURE_ARGS+= --disable-zlib --disable-compression
+.endif
+
+.if !empty(PKG_OPTIONS:Mzstd)
+CONFIGURE_ARGS+= --with-zstd
+.include "../../archivers/zstd/buildlink3.mk"
+.else
+CONFIGURE_ARGS+= --without-zstd
+.endif
diff --git a/privoxy/patches/patch-GNUmakefile.in b/privoxy/patches/patch-GNUmakefile.in
new file mode 100644
index 0000000000..202a7988e8
--- /dev/null
+++ b/privoxy/patches/patch-GNUmakefile.in
@@ -0,0 +1,120 @@
+$NetBSD$
+
+Drop user/group existence checks; pkgsrc handles their creation.
+
+--- GNUmakefile.in.orig 2026-06-02 15:06:25.000000000 +0000
++++ GNUmakefile.in
+@@ -858,16 +858,6 @@ install-strip:
+ # Perhaps the whole user/group validation should be done here, and simplified.
+ PROGRAM_V = Privoxy $(VERSION) $(CODE_STATUS)
+ install: CONF_DEST LOG_DEST PID_DEST check_doc GROUP_T
+- @# Quick test for valid USER.
+- @if [ -n "$(USER)" ]; then \
+- $(ID) $(USER) >/dev/null || exit 1;\
+- fi
+- @# Test for valid group. FIXME. USER does not have to belong to GROUP
+- @# for file ownership purposes.
+-# if [ -n "$(GROUP_T)" ] && [ -n "$(USER)" ] && ! $(GROUPS) $(USER) | $(GREP) "\<$(GROUP_T)\>" >/dev/null; then \
+-# $(ECHO) Group $(GROUP_T) for User $(USER) is invalid && exit 1 ;\
+-# fi
+-
+ @$(ECHO) "Creating directories, and preparing $(PROGRAM_V) installation"
+ $(CHMOD) $(DIR_MODE) $(MKDIR)
+ @$(MKDIR) $(DESTDIR)$(BIN_DEST) $(DESTDIR)$(SBIN_DEST) \
+@@ -945,93 +935,24 @@ install: CONF_DEST LOG_DEST PID_DEST che
+ $(INSTALL) $(INSTALL_T) $$i $(DESTDIR)$(CONF_DEST)/templates ;\
+ done
+
+- @# FIXME: group/user validation is overly convoluted.
+- @# If superuser install ... we require a minimum of group ownership
+- @# of those files the daemon writes to, to be non-root owned.
+- @if [ "`$(ID) |sed 's/(.*//' |sed 's/.*=//'`" = "0" ] ;then\
+- if [ x$(USER) = x ] || [ $(USER) = root ]; then \
+- if [ x$(GROUP) = x ] || [ $(GROUP) = root ]; then \
+- if [ "`$(ID) privoxy`" ] && \
+- $(GROUPS) privoxy | $(SED) 's/^.*://' |$(GREP) "\<privoxy\>" >/dev/null; then \
+- $(ECHO) "Warning: Setting group owner to privoxy";\
+- GROUP_T=privoxy ;\
+- else \
+- $(ECHO) "******************************************************************" ;\
+- $(ECHO) " WARNING! Installing config files as root!" ;\
+- $(ECHO) " It is strongly recommended to run $(PROGRAM) as a non-root user," ;\
+- $(ECHO) " and to install the config files as that user and/or group!" ;\
+- $(ECHO) " Please read INSTALL, and create a privoxy user and group!" ;\
+- $(ECHO) "*******************************************************************" ;\
+- GROUP_T=$(GROUP) ;\
+- fi ;\
+- else \
+- GROUP_T=$(GROUP) ;\
+- fi ;\
+- if [ x$(GROUP_T) != x ]; then \
+- INSTALL_CONF="$(INSTALL_R) -g $$GROUP_T " ;\
+- else \
+- INSTALL_CONF="$(INSTALL_R)" ;\
+- fi ;\
+- else \
+- $(ECHO) "Superuser install, installing config files as $(USER):$(GROUP_T)" ;\
+- INSTALL_CONF="$(INSTALL_R) -o $(USER) -g $(GROUP_T)" ;\
+- GROUP_T=$(GROUP_T) ;\
+- fi ;\
+- else \
+- if [ ! "`id $(USER)`" = "`id`" ] ;then \
+- $(ECHO) "** WARNING ** current install user different from configured user!!" ;\
+- $(ECHO) "Edit may fail." ;\
+- fi ;\
+- INSTALL_CONF="$(INSTALL_R)" ;\
+- fi ;\
+ $(ECHO) Installing configuration files to $(DESTDIR)$(CONF_DEST);\
+ for i in $(CONFIGS); do \
+ if [ "$$i" = "default.action" ] || [ "$$i" = "default.filter" ] ; then \
+ $(RM) $(DESTDIR)$(CONF_DEST)/$$i ;\
+ $(ECHO) Installing fresh $$i;\
+- $(INSTALL) $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST) || exit 1;\
++ $(INSTALL) -m 660 $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST) || exit 1;\
+ elif [ -s "$(DESTDIR)$(CONF_DEST)/$$i" ]; then \
+ $(ECHO) Installing $$i as $$i.new ;\
+- $(INSTALL) $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST)/$$i.new || exit 1;\
++ $(INSTALL) -m 660 $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST)/$$i.new || exit 1;\
+ NEW=1;\
+ else \
+- $(INSTALL) $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST) || exit 1;\
++ $(INSTALL) -m 660 $$INSTALL_CONF $$i $(DESTDIR)$(CONF_DEST) || exit 1;\
+ fi ;\
+ done ;\
+ if [ -n "$$NEW" ]; then \
+ $(CHMOD) $(RWD_MODE) $(DESTDIR)$(CONF_DEST)/*.new || exit 1 ;\
+ $(ECHO) "Warning: Older config files are preserved. Check new versions for changes!" ;\
+ fi ;\
+- [ ! -f $(DESTDIR)$(LOG_DEST)/logfile ] && $(ECHO) Creating logfiles in $(DESTDIR)$(LOG_DEST) || \
+- $(ECHO) Checking logfiles in $(DESTDIR)$(LOG_DEST) ;\
+- $(TOUCH) $(DESTDIR)$(LOG_DEST)/logfile || exit 1 ;\
+- if [ x$$USER != x ]; then \
+- $(CHOWN) $$USER $(DESTDIR)$(LOG_DEST)/logfile || \
+- $(ECHO) "** WARNING ** current install user different from configured user. Logging may fail!!" ;\
+- fi ;\
+- if [ x$$GROUP_T != x ]; then \
+- $(CHGRP) $$GROUP_T $(DESTDIR)$(LOG_DEST)/logfile || \
+- $(ECHO) "** WARNING ** current install user different from configured user. Logging may fail!!" ;\
+- fi ;\
+- $(CHMOD) $(RWD_MODE) $(DESTDIR)$(LOG_DEST)/logfile || exit 1 ;\
+- if [ "$(prefix)" = "/usr/local" ] || [ "$(prefix)" = "/usr" ]; then \
+- if [ -f /etc/slackware-version ] && [ -d /etc/rc.d/ ] && [ -w /etc/rc.d/ ] ; then \
+- $(SED) 's+%PROGRAM%+$(PROGRAM)+' slackware/rc.privoxy.in | \
+- $(SED) 's+%SBIN_DEST%+$(SBIN_DEST)+' | \
+- $(SED) 's+%CONF_DEST%+$(CONF_DEST)+' | \
+- $(SED) 's+%USER%+$(USER)+' | \
+- $(SED) 's+%GROUP%+$(GROUP_T)+' >slackware/rc.privoxy ;\
+- $(INSTALL) $(INSTALL_P) slackware/rc.privoxy $(DESTDIR)/etc/rc.d/ ;\
+- $(ECHO) "Installing for Slackware." ;\
+- $(ECHO) "Don't forget to add the rc.privoxy to rc.local if you want it started at every boot" ;\
+- elif [ -d $(DESTDIR)/etc/init.d ] && [ -w $(DESTDIR)/etc/init.d ] ; then \
+- $(ECHO) "Installing generic init script to $(DESTDIR)/etc/init.d/privoxy" ;\
+- $(ECHO) "Please check that the PATHs are correct, and edit if needed." ;\
+- $(INSTALL) $(INSTALL_P) privoxy-generic.init $(DESTDIR)/etc/init.d/privoxy ;\
+- fi ;\
+- else \
+- $(ECHO) "No init script installed, install it manually if needed" ;\
+- fi
+ $(RM) config.base config.tmp
+ @# mmmmm, good.
+ @$(ECHO) "$(PROGRAM_V) installation succeeded!"
diff --git a/privoxy/patches/patch-config b/privoxy/patches/patch-config
new file mode 100644
index 0000000000..83b791d0be
--- /dev/null
+++ b/privoxy/patches/patch-config
@@ -0,0 +1,75 @@
+$NetBSD$
+
+Replace hardcoded paths with paths configured by pkgsrc.
+
+--- config.orig 2026-06-02 15:06:25.000000000 +0000
++++ config
+@@ -109,7 +109,7 @@
+ # The best all purpose solution is simply to put the full local
+ # PATH to where the User Manual is located:
+ #
+-# user-manual /usr/share/doc/privoxy/user-manual
++# user-manual @PRIVOXY_DOCDIR@/user-manual
+ #
+ # The User Manual is then available to anyone with access to
+ # Privoxy, by following the built-in URL: http://
+@@ -249,7 +249,7 @@
+ #
+ # Default value:
+ #
+-# /etc/privoxy (Unix) or Privoxy installation dir (Windows)
++# @PKG_SYSCONFDIR@ (Unix) or Privoxy installation dir (Windows)
+ #
+ # Effect if unset:
+ #
+@@ -259,7 +259,7 @@
+ #
+ # No trailing "/", please.
+ #
+-confdir .
++confdir @PKG_SYSCONFDIR@
+ #
+ # 2.2. templdir
+ # ==============
+@@ -334,7 +334,7 @@ confdir .
+ #
+ # Default value:
+ #
+-# /var/log/privoxy (Unix) or Privoxy installation dir (Windows)
++# @PRIVOXY_LOGDIR@ (Unix) or Privoxy installation dir (Windows)
+ #
+ # Effect if unset:
+ #
+@@ -344,7 +344,7 @@ confdir .
+ #
+ # No trailing "/", please.
+ #
+-logdir .
++logdir @PRIVOXY_LOGDIR@
+ #
+ # 2.5. actionsfile
+ # =================
+@@ -2483,9 +2483,9 @@ socket-timeout 300
+ #
+ # Example:
+ #
+-# ca-directory /usr/local/etc/privoxy/CA
++# ca-directory @PKG_SYSCONFDIR@/CA
+ #
+-#ca-directory /usr/local/etc/privoxy/CA
++#ca-directory @PKG_SYSCONFDIR@/CA
+ #
+ # 7.2. ca-cert-file
+ # ==================
+@@ -2650,9 +2650,9 @@ socket-timeout 300
+ # +-----------------------------------------------------+
+ # Example:
+ #
+-# certificate-directory /usr/local/var/privoxy/certs
++# certificate-directory @VARBASE@/privoxy/certs
+ #
+-#certificate-directory /usr/local/var/privoxy/certs
++#certificate-directory @VARBASE@/privoxy/certs
+ #
+ # 7.6. elliptic-curve-keys
+ # =========================
diff --git a/privoxy/patches/patch-configure.in b/privoxy/patches/patch-configure.in
new file mode 100644
index 0000000000..85d7bfc274
--- /dev/null
+++ b/privoxy/patches/patch-configure.in
@@ -0,0 +1,71 @@
+$NetBSD$
+
+Drop user/group existence checks; pkgsrc handles their creation.
+
+--- configure.in.orig 2026-06-02 15:06:25.000000000 +0000
++++ configure.in
+@@ -189,30 +189,12 @@ if test "$host_os" = haiku; then
+ echo "Skipping user and group validity stuff.";
+
+ else
+-
+- $ID privoxy >/dev/null 2>/dev/null
+- if test $? -ne 0 ; then
+- AC_MSG_WARN(There is no user 'privoxy' on this system)
+- fi
+ AC_MSG_CHECKING([for user])
+ AC_ARG_WITH(user,
+ [ --with-user=privoxy Set user under which privoxy will run],
+ [
+- if test "x$withval" != "xyes"; then
+- if test $ID = no ; then
+- AC_MSG_ERROR(There is no 'id' program on this system)
+- else
+- AC_MSG_RESULT($with_user)
+- $ID $with_user 2>/dev/null >/dev/null
+- if test $? -eq 0 ; then
+- USER=$with_user;
+- else
+- AC_MSG_ERROR(There is no user '$with_user' on this system)
+- fi
+- fi
+- else
+- AC_MSG_ERROR(We need a user if you give me this parameter)
+- fi
++ AC_MSG_RESULT($with_user)
++ USER=$with_user;
+ ],
+ [
+ if test $ID = no ; then
+@@ -229,29 +211,8 @@ else
+ AC_ARG_WITH(group,
+ [ --with-group=privoxy Set group for privoxy],
+ [
+- if test "x$withval" != "xyes"; then
+- if test $BGROUPS = no ; then
+- AC_MSG_ERROR(There is no 'groups' program on this system)
+- else
+- AC_MSG_RESULT($with_group)
+- $BGROUPS $USER >/dev/null
+- if test $? -eq 0 ; then
+- for i in `$BGROUPS $USER | sed 's/.*: //' 2>/dev/null`; do
+- if test "x$i" = "x$with_group" ; then
+- GROUP=$with_group
+- break
+- fi
+- done
+- if test "x$GROUP" != "x$with_group" ; then
+- AC_MSG_ERROR(The given value '$withval' does not match group entry)
+- fi
+- else
+- AC_MSG_ERROR(There is no group entry for user '$USER')
+- fi
+- fi
+- else
+- AC_MSG_ERROR(We need a group if you give me this parameter)
+- fi
++ AC_MSG_RESULT($with_group)
++ GROUP=$with_group
+ ],
+ [
+ if test $BGROUPS = no ; then
diff --git a/privoxy/patches/patch-man_privoxy.8 b/privoxy/patches/patch-man_privoxy.8
new file mode 100644
index 0000000000..0267ab9049
--- /dev/null
+++ b/privoxy/patches/patch-man_privoxy.8
@@ -0,0 +1,42 @@
+$NetBSD$
+
+Replace hardcoded paths with paths configured by pkgsrc.
+
+--- man/privoxy.8.orig 2026-06-02 15:06:25.000000000 +0000
++++ man/privoxy.8
+@@ -122,7 +122,7 @@ be used for locally defined exceptions t
+ \fImatch-all.action\fR and \fIdefault.action\fR,
+ and \fIuser.filter\fR for locally defined filters. These are
+ well commented. On Unix and Unix-like systems, these are located in
+-\fI/etc/privoxy/\fR by default.
++\fI@PKG_SYSCONFDIR@/\fR by default.
+ .PP
+ \fBPrivoxy\fR uses the concept of \fBactions\fR
+ in order to manipulate the data stream between the browser and remote sites.
+@@ -145,16 +145,16 @@ features and notes on upgrading.
+ .SH "FILES"
+
+ .nf
+- \fI/usr/sbin/privoxy\fR
+- \fI/etc/privoxy/config\fR
+- \fI/etc/privoxy/match-all.action\fR
+- \fI/etc/privoxy/default.action\fR
+- \fI/etc/privoxy/user.action\fR
+- \fI/etc/privoxy/default.filter\fR
+- \fI/etc/privoxy/user.filter\fR
+- \fI/etc/privoxy/trust\fR
+- \fI/etc/privoxy/templates/*\fR
+- \fI/var/log/privoxy/logfile\fR
++ \fI@PREFIX@/sbin/privoxy\fR
++ \fI@PKG_SYSCONFDIR@/config\fR
++ \fI@PKG_SYSCONFDIR@/match-all.action\fR
++ \fI@PKG_SYSCONFDIR@/default.action\fR
++ \fI@PKG_SYSCONFDIR@/user.action\fR
++ \fI@PKG_SYSCONFDIR@/default.filter\fR
++ \fI@PKG_SYSCONFDIR@/user.filter\fR
++ \fI@PKG_SYSCONFDIR@/trust\fR
++ \fI@PKG_SYSCONFDIR@/templates/*\fR
++ \fI@PRIVOXY_LOGDIR@/logfile\fR
+ .fi
+ .PP
+ Various other files should be included, but may vary depending on platform
diff --git a/privoxy/patches/patch-man_uagen.1 b/privoxy/patches/patch-man_uagen.1
new file mode 100644
index 0000000000..7d5d96b1d1
--- /dev/null
+++ b/privoxy/patches/patch-man_uagen.1
@@ -0,0 +1,24 @@
+$NetBSD$
+
+Replace hardcoded paths with paths configured by pkgsrc.
+
+--- man/uagen.1.orig 2026-06-02 15:06:25.000000000 +0000
++++ man/uagen.1
+@@ -91,7 +91,7 @@ used by many Mozilla browsers.
+ .SH OPTIONS
+ .IX Header "OPTIONS"
+ \&\fB\-\-action\-file\fR \fIaction_file\fR Privoxy action file to write the
+-generated actions into. Default is /etc/privoxy/user\-agent.action.
++generated actions into. Default is @PKG_SYSCONFDIR@/user\-agent.action.
+ .PP
+ \&\fB\-\-action\-injection\fR Don\*(Aqt generate a new action file from scratch,
+ but read an old one and just replace the action values. Useful
+@@ -124,7 +124,7 @@ User\-Agent, by default the chosen langu
+ \&\fBhide\-accept\-language\fR parameter.
+ .PP
+ \&\fB\-\-logfile\fR \fIlogfile\fR Logfile to save error messages and the generated
+-User\-Agents. Default is /var/log/uagen.log.
++User\-Agents. Default is @VARBASE@/log/uagen.log.
+ .PP
+ \&\fB\-\-loop\fR Don\*(Aqt exit after the generation of the action file. Sleep for
+ a while and generate a new one instead. Useful if you don\*(Aqt have \fBcron\fR\|(8).
Home |
Main Index |
Thread Index |
Old Index